Loading...
Searching...
No Matches
RDKit::CIPLabeler::Priority Class Reference

`#include <Priority.h>`

## Public Member Functions

| Priority ()=delete
| Priority (bool unique, bool pseudoAsym)
bool | isUnique () const
bool | isPseudoAsymetric () const

## Detailed Description

Holds some properties that are determined when sorting/prioritising substituents.

Definition at line 21 of file Priority.h.

## Constructor & Destructor Documentation

## Priority() [1/2]

RDKit::CIPLabeler::Priority::Priority | ( |  | ) |

delete

## Priority() [2/2]

RDKit::CIPLabeler::Priority::Priority | ( | bool | unique,
|  | bool | pseudoAsym
| ) |  |

inline

Definition at line 25 of file Priority.h.

## Member Function Documentation

## isPseudoAsymetric()

bool RDKit::CIPLabeler::Priority::isPseudoAsymetric | ( |  | ) | const

inline

Indicates the descriptor type used to. This allows methods that represent pseudo-asymmetric molecules to indicate that the centre is pseudo-asymmetric.

Returns
  The type of the descriptor that should be assigned

Definition at line 42 of file Priority.h.

## isUnique()

bool RDKit::CIPLabeler::Priority::isUnique | ( |  | ) | const

inline

Indicates whether the substituents were unique (i.e. could be ordered)

Returns
  whether the substituents were unique

Definition at line 33 of file Priority.h.

The documentation for this class was generated from the following file:

- Priority.h